/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.dao;

import java.util.List;

/**
 *
 * @author Imam Bhoim
 */
public interface IDAO <E> {
    public E createNew();
    public List<E> findAll();
    public List<E> findByCriteria(String sql);
    public E findByID(int id);
    public E findByKode(String kode);
    public E save(E obj);
    public E update(E obj);
    public void deleteByID(int id);
    public void deleteByPK(String pk);
   
}
